#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

void assertNumber(string s) {
    assert(s[0] == '+' || s[0] == '-' || isdigit(s[0]));
    for (int i = 1; i < s.size(); i++) assert(isdigit(s[i]));
    if (!isdigit(s[0])) s.erase(0);
    assert(s.size() != 0);
    assert(s.size() == 1 || s[0] != '0');
}

vector<long long> longlongTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<long long> b;
    for (string& s: a) {
        assertNumber(s);
        b.push_back(stoll(s));
    }
    return b;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    vector<long long> line = longlongTokens(' ');
    assert(line.size() == 5);
    assertEOF();

    int n = line[0];
    int k = line[1];
    int y = line[2];
    int a = line[3];
    int b = line[4];

    assert(1 <= n && n <= 1000);
    assert(1 <= k && k <= 1000);
    assert(1 <= y && y <= 30);
    assert(1 <= a && a <= 10);
    assert(1 <= b && b <= 10);
    assert(a > b);

    int ans = 0;
    for (int i = 0; i < n; i+=k) {
        int d1 = i/100;
        int d2 = i%100/10;
        int d3 = i%10;

        int sum = d1+d2+d3;
        int km = min(i+k, n)-i;
        if (sum % y == 0) {
            ans += b*km;
        } else {
            ans += a*km;
        }
    }
    cout << ans << endl;

    return 0;
}
